Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Filipp Gunbin <[email-masked]>
Date: Tue, 12 Oct 2021 15:48:48 +0300

On 08/10/2021 00:49 +0300, Dmitry Gutov wrote:

> On 07.10.2021 16:21, Eli Zaretskii wrote:
>> As I already said, I don't want to deprecate the binding if we are not
>> deprecating the command which uses it.
>
> You know what, let's deprecate the command.
>
> This will give us a way to notify its users more prominently, and maybe
> hear back about their patterns.
>
> In Emacs 29, we might as well un-deprecate the command itself but reuse
> its binding for the branch prefix. The deprecation will already have
> done its job. Or, alternatively, nobody will complain, and we could make
> a more informed decision about removing it.

It'd be great to go this way.  C-x v B is perhaps acceptable, but
lowcase b is much, much better.  Enough to sacrifice switching backends
for it IMO.

Filipp